Bug 70963 - sftp kioslave fails if not in ~/.ssh/known_hosts
Summary: sftp kioslave fails if not in ~/.ssh/known_hosts
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-07 10:56 UTC by Warren Togami
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-24 05:52:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2002-08-07 10:56:45 UTC
From Bugzilla Helper:  
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)  
  
Description of problem:  
The sftp:// kioslave allowing you to use Konqueror as a convenient GUI  
filemanager over a SFTP connection completely fails if that SSH host is not  
already in the ~/.ssh/known_hosts file.  KDE seems to lack a dialog asking the  
user if they want to add that host to their known_hosts file like command-line  
ssh or sftp does.  
  
Version-Release number of selected component (if applicable):  
Limbo2  
kdebase-3.0.2-7  
  
How reproducible:  
Always  
  
Steps to Reproduce:  
1. Attempt to connect to a sftp://username@serveraddress host that is not  
already in your ~/.ssh/known_hosts.  
	  
Actual Results:    
Sits there until a timeout, fails without explanation.  
  
Expected Results:    
Should pop-up dialog asking if they want to add the host to their known_hosts  
file.  Something like this below that ssh asks:  
  
The authenticity of host 'foo.example.com (192.168.0.1)' can't be established.  
RSA key fingerprint is a5:4b:91:28:e5:e2:ee:c0:7c:a4:90:09:56:68:4b:fa.  
Are you sure you want to continue connecting (yes/no)?

Comment 1 Warren Togami 2002-12-24 05:52:25 UTC
Fixed in Phoebe.


Note You need to log in before you can comment on or make changes to this bug.